# IMPORTANT:
# This .spec is only aimed to generate the rpm-python3 RPM file with the appropriate Python version, for DNF.
#
# For BullFreeware DNF usage, do NOT check rpm-rte RPM being installed before installing rpm-python3
# %pre python3  is commented

# By default, dotests are run.
# No tests: rpmbuild -ba --without dotests *.spec
%bcond_without dotests

# Do NOT install anything in /usr since we build rpm package only for using rpm-python RPM
#  and we do not want to break installed RPM stuff.
# Note that the rpm.rte LPP creates: /opt/freeware/lib/rpm -> /usr/opt/rpm/lib/rpm
#define base_prefix /usr/opt/rpm
%define base_prefix /opt/freeware
%define install_SOMETHING 0
%define _prefix   %{base_prefix}
%define _mandir   %{_prefix}/man
%define _libdir   %{_prefix}/lib
%define _libdir64 %{_prefix}/lib64
%define _docdir   %{_prefix}/doc

%define pyversion 3.8

%define	blibpath_64 /usr/opt/rpm/lib64:/usr/opt/rpm/lib:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib
%define	blibpath_32 /usr/opt/rpm/lib:/opt/freeware/lib:/usr/lib:/lib

# To make this package relocateable, change the Prefix: line

Summary:	The RPM package management system
Name:		rpm
%define version 4.15.1.1
Version:	%{version}
Release:	1
Group:		System Environment/Base
License:	GPL

# Source0: http://rpm.org/releases/rpm-4.9.x/rpm-%{version}.tar.bz2
%global srcver %{version}%{?snapver:-%{snapver}}
%global srcdir %{?snapver:testing}%{!?snapver:rpm-%(echo %{version} | cut -d'.' -f1-2).x}
Source0: http://ftp.rpm.org/releases/%{srcdir}/rpm-%{srcver}.tar.bz2

Source1: rpm-wrapper
Source2: rpm-find-provides-aix.c
Source3: rpm-4.13.0.1.macros.aix
Source4: mkvirtpkg.rpm-4.9.1.3
Source5: find-requires-aix

Source1000: %{name}-%{version}-%{release}.build.log

Patch0: rpm-4.13.0.1-aix.patch
Patch1: rpm-4.13.0.1-rpmrc.patch
Patch2: rpm-4.13.0.1-aixdef.patch
#Patch3: rpm-4.13.0.1-header.patch
Patch4: rpm-4.13.0.1-rpmbuild.patch
#Patch5: rpm-4.13.0.1-test.patch
#Patch6: rpm-4.13.0.1-glob_pattern.patch
Patch7: rpm-4.13.0.1-ramfs.patch
Patch8: rpm-4.13.0.1-macros_aix.patch
patch9: rpm-4.13.0.1-lintl.patch
Patch10: rpm-4.13.0.1-plugin.patch
Patch11: rpm-4.15.1-defattr.patch
#Patch12: CVE-2017-7500.patch
#Patch13: CVE-2017-7501.patch
Patch14: rpm-4.13.0.1-remove_py2_ref.patch
#Patch15: rpm-4.15.1-progname.patch
Patch16: rpm-4.15.1-progname-1.patch
Patch17: rpm-4.15.1-binary_creations.patch
Patch18: rpm-4.15.1-without_smp.patch
Patch19: rpm-4.15.1-verify.patch
#Patch20: rpm-4.15.1-rpm_num_formart_32bit_only.patch
Patch21: rpm-4.15.1-disable_libiconv.patch
Patch22: rpm-4.15.1-harcode-deps-64.patch
Patch23: rpm-4.15.1-bin_libpath.patch

Conflicts: patch < 2.5
#BuildRequires: db-devel >= 4.8.24-3
#BuildRequires: zlib >= 1.2.11
#BuildRequires: file-devel >= 5.36
#BuildRequires: lua >= 5.3.4
#BuildRequires: gettext-devel >= 0.19.8.1
#BuildRequires: readline-devel >= 8.0
#BuildRequires: popt >= 1.16

#BuildRequires: nspr, nspr-devel
#BuildRequires: nss, nss-devel

#The following should probably be removed for later versions of rpm.
Requires: db >= 4.8.24-3
Requires: popt >= 1.16
#Requires: libiconv =< 1.13.1
Requires: gettext >= 0.19.8.1
Requires: file-libs >= 5.36
#Requires: nss >= 3.14.3
#Requires: nspr >= 4.9.5
Requires: bash >= 5.0
Requires: info >= 6.6
Requires: readline >= 8.0
Requires: lua >= 5.3.4
#Requires: rpm-README-AIX =< 4.9.1.3

Prefix: %{_prefix}
%define DEFCC gcc

%description
The RPM Package Manager (RPM) is a powerful command-line driven package
management system capable of installing, uninstalling, verifying, querying, and
updating software packages.  Each software package consists of an archive of
files along with information about the package like its version, a description,
etc.

%package devel
Summary: Development files for applications which will manipulate RPM packages.
Group: Development/Libraries
Requires: rpm = %{version}

%description devel
This package contains the RPM C library and header files.  These development
files will simplify the process of writing programs which manipulate RPM
packages and databases. These files are intended to simplify the process of
creating graphical package managers or any other tools that need an intimate
knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that will
manipulate RPM packages and databases.

%package python3
Summary: This package contains files to be added on top of rpm-devel for python developements.
Group: Development/Tools
# BuildRequires: python3-devel >= %{pyversion}.4
Requires: python3 >= %{pyversion}.4
Conflicts: rpm-python3 < %{version}-%{release}

%description python3
This package contains scripts and executable programs that are used to build with python
packages using RPM.

%define _builddir  /opt/freeware/src/packages/BUILD
%define _srcrpmdir /opt/freeware/src/packages/SRPMS
%define _rpmdir    /opt/freeware/src/packages//RPMS
%define _default_patch_fuzz 2


%prep
%setup -q 
%patch0 -p1 -b .aix
%patch1 -p1 -b .rpmrc
%patch2 -p0 -b .aixdef
#%patch3 -p0 -b .header
%patch4 -p0 -b .rpmbuild
#%patch5 -p0 -b .test
#%patch6 -p1 -b .glob_pattern
%patch7 -p1 -b .ramfs
%patch8 -p1 -b .macros_aix
#%patch9 -p0 -b .lintl
%patch10 -p0 -b .plugin
%patch11 -p0 -b .defattr
#%patch12 -p0 -b .cve_7500
#%patch13 -p0 -b .cve_7501
%patch14 -p0 -b .remove_py2_ref
#%patch15 -p0 -b .progname
%patch16 -p0 -b .progname-1
%patch17 -p0 -b .binary_creation
%patch18 -p0 -b .smp
%patch19 -p0 -b .verify
#%patch20 -p0 -b .num_format
%patch21 -p0 -b .disable_iconv
%patch22 -p0 -b .hardcode_deps
%patch23 -p0 -b .bin_libpath

# Make sure rpmbuild doesn't have dependency on libxlsmp.a 
#if [[ -e /usr/lib/libxlsmp.a ]]
#then
#     mv /usr/lib/libxlsmp.a /usr/lib/libxlsmp.a_rpm
#fi

# Duplicate source for 32 & 64 bits
rm -rf   /tmp/%{name}-%{version}-32bit
cp -pr . /tmp/%{name}-%{version}-32bit
rm -rf ..?* .[!.]* *
mv       /tmp/%{name}-%{version}-32bit 32bit
cp -pr 32bit 64bit


%build

export CC_="/opt/IBM/xlc/16.1.0/bin/xlc"
export CXX_="/opt/IBM/xlc/16.1.0/bin/xlc"
export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
#    RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ma"

export AR="/usr/bin/ar -X32_64"
export RM="/usr/bin/rm -f"
export MKDIR=/usr/bin/mkdir

export CONFIG_SHELL=/usr/bin/bash
export CONFIG_ENV_ARGS=/usr/bin/bash

CFLAGS_="-D_ALL_SOURCE -qtls -I/opt/freeware/include/nspr4 -I/opt/freeware/include/nss3 -I/opt/freeware/include -I/opt/freeware/include/python%{pyversion}"
CPPFLAGS_=" -D_ALL_SOURCE -qtls -I/opt/freeware/include/nspr4 -I/opt/freewaare/include/nss3 -I/opt/freeware/include -I/opt/freeware/include/python%{pyversion}"

export LUA_CFLAGS="-I/opt/freeware/include"
export LUA_LIBS="-L/opt/freeware/lib64 -llua"

#export PYTHON="/opt/freeware/bin/python3_64"
export PYTHON="/opt/freeware/bin/python3"
#export PYTHON_LIBS="-lpython2.7 -ldl -lXext -lexpat -lffi -lncurses -lsqlite3 -lm"
export PYTHON_LIBS="-L/opt/freeware/lib64 -lpython%{pyversion} -ldl -lm"
export PYTHON_CFLAGS="-I/opt/freeware/include/python%{pyversion} -DNDEBUG -O2"

build_rpm()
{
set -x

  export OBJECT_MODE=$1
  LIBDIR_=$2
  cd ${OBJECT_MODE}bit

  export CC=" $CC_  -q${OBJECT_MODE}"
  export CXX="$CXX_ -q${OBJECT_MODE}"

  if [ ${OBJECT_MODE} -eq 64 ]
  then
    export LDFLAGS="-Wl,-brtl -L/opt/freeware/lib64 -L/usr/opt/rpm/lib64 -L/opt/freeware/lib -Wl,-blibpath:%{blibpath_64}"
    export CFLAGS="${CFLAGS_}"
    export CPPFLAGS="${CPPFLAGS_}"
  else
    export LDFLAGS="-Wl,-brtl -L/opt/freeware/lib -Wl,-blibpath:%{blibpath_32} -Wl,-bmaxdata:0x80000000"
    export CFLAGS="${CFLAGS_} -D_LARGE_FILES"
    export CPPFLAGS="${CPPFLAGS_} -D_LARGE_FILES"
  fi
  export CXXFLAGS="${CFLAGS_}"

  ./configure \
	--disable-static \
	--enable-shared \
	--prefix=%{_prefix} \
	--libdir=${LIBDIR_} \
	--mandir=%{_mandir}  \
	--docdir=%{_docdir} \
	--with-external-db \
	--enable-python \
	--without-archive \
	--with-crypto=nss \
	--enable-zstd=no \
	--without-libiconv-prefix

  gmake -j8

  # Workaround optimization problem
  rm ./rpmio/.libs/rpmio.o ./rpmio/rpmio.lo lib/librpm.la
  RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-O2::'`
  gmake LDFLAGS="$LDFLAGS"

  ${CC} -o find-provides-aix %{SOURCE2} -lld
  ln -sf find-provides-aix find-provides

  cd ..
}

build_rpm 64 %{_libdir64}
build_rpm 32 %{_libdir}


%check
%if %{without dotests}
echo "*** Skipping tests"
exit 0
%endif # without dotests

cd 64bit
(gmake -k check || true)
cd ..
cd 32bit
(gmake -k check || true)


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export RM="/usr/bin/rm -f"

install_rpm()
{
set -x

  export OBJECT_MODE=$1
  cd ${OBJECT_MODE}bit

  if [ ${OBJECT_MODE} -eq 64 ]
  then
    export LDFLAGS="-Wl,-brtl -L/opt/freeware/lib64 -L/usr/opt/rpm/lib64 -L/opt/freeware/lib -Wl,-blibpath:%{blibpath_64}"
  else
    export LDFLAGS="-Wl,-brtl -L/opt/freeware/lib -Wl,-blibpath:%{blibpath_32} -Wl,-bmaxdata:0x80000000"
    # Makefile says: pyexecdir = ${exec_prefix}/lib64/python3.8/site-packages  : lib64 instead of lib
    #  thus: /var/tmp/rpm-4.15.1-1.ppc/opt/freeware/lib64/python3.8/site-packages/rpm/_rpm.so is 32bit
    #  fix it: save 64bit files and then restore them. Done below.
  fi

  gmake DESTDIR="$RPM_BUILD_ROOT" install
  #gmake DESTDIR="$RPM_BUILD_ROOT" install -C python

  cd ..
}

install_rpm 64

# Save 64bit rpm-python3 files
for f in _rpm.la _rpm.so __init__.py transaction.py
do
  mv $RPM_BUILD_ROOT%{_prefix}/lib64/python%{pyversion}/site-packages/rpm/${f}   $RPM_BUILD_ROOT%{_prefix}/lib64/python%{pyversion}/site-packages/rpm/${f}_64
done

install_rpm 32

# Restore 64bit rpm-python3 files
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/python%{pyversion}/site-packages/rpm
for f in _rpm.la _rpm.so __init__.py transaction.py
do
  mv $RPM_BUILD_ROOT%{_prefix}/lib64/python%{pyversion}/site-packages/rpm/${f}    $RPM_BUILD_ROOT%{_prefix}/lib/python%{pyversion}/site-packages/rpm/
  mv $RPM_BUILD_ROOT%{_prefix}/lib64/python%{pyversion}/site-packages/rpm/${f}_64 $RPM_BUILD_ROOT%{_prefix}/lib64/python%{pyversion}/site-packages/rpm/${f}
done

mkdir -p $RPM_BUILD_ROOT%{_prefix}/etc/rpm
mkdir -p $RPM_BUILD_ROOT/tmp/bin
mkdir -p $RPM_BUILD_ROOT/tmp/lib/rpm
mkdir -p $RPM_BUILD_ROOT/tmp/lib/rpm/fileattrs

(
  cd $RPM_BUILD_ROOT
  mkdir -p ./opt/freeware/src/packages
  mkdir -p ./opt/freeware/src/packages/BUILD
  mkdir -p ./opt/freeware/src/packages/RPMS
  mkdir -p ./opt/freeware/src/packages/RPMS/noarch
  mkdir -p ./opt/freeware/src/packages/RPMS/ppc
  mkdir -p ./opt/freeware/src/packages/RPMS/powerpc
  mkdir -p ./opt/freeware/src/packages/SOURCES
  mkdir -p ./opt/freeware/src/packages/SPECS
  mkdir -p ./opt/freeware/src/packages/SRPMS

 for dir in bin include src
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
 done

  mkdir -p usr/lib
  cd usr/lib
  ln -sf ../..%{_prefix}/lib/* .
)

(
  cd $RPM_BUILD_ROOT
  mkdir -p opt/freeware/lib/pkgconfig
  cd opt/freeware/lib/pkgconfig
  if [ "%{_prefix}" != "/opt/freeware" ]
  then
    ln -s ../../../../%{_prefix}/lib/pkgconfig/rpm.pc rpm.pc
  fi
  cd ../..
    #cd $RPM_BUILD_ROOT
    #mkdir -p usr/opt/python3/lib/python%{pyversion}/site-packages
    #cd usr/opt/python3/lib/python%{pyversion}/site-packages

  mkdir -p lib64
  cd lib64
  #ln -s ../../../../../../usr/opt/rpm/lib/python%{pyversion}/site-packages/rpm rpm
  # mkdir -p python%{pyversion}/site-packages
  # cd python%{pyversion}/site-packages
  # ln -s ../../../../../%{_prefix}/lib64/python%{pyversion}/site-packages/rpm rpm
)

cp $RPM_BUILD_ROOT/%{_prefix}/lib/rpm/macros $RPM_BUILD_ROOT/%{_prefix}/lib/rpm/macros_bak
sed "s#/usr/linux/bin#/usr/bin#"  $RPM_BUILD_ROOT/%{_prefix}/lib/rpm/macros | sed "s#%._var./tmp#/var/tmp#" >macros.tmp
mv macros.tmp macros
/usr/bin/sed "s#.{getconfdir}#/usr/opt/rpm/lib/rpm#" macros > macros.tmp
mv macros.tmp macros 


%undefine _prefix
%undefine _prefix
/usr/bin/sed "s#._prefix.*/usr/opt/rpm#%_prefix		/opt/freeware#" macros > macros.tmp
mv macros.tmp macros
%define _prefix   %{base_prefix}
%undefine _usr
/usr/bin/sed "s#._usr.*/usr/opt/rpm#%_usr			/opt/freeware#" macros > macros.tmp
%define _usr /usr/opt/rpm
echo "" >> macros.tmp
echo "%bugurl  https://ibm.biz/aixoss_forum" >> macros.tmp
echo "%packager   IBM AIX Toolbox  <https://ibm.biz/AIXToolbox>" >> macros.tmp
mv macros.tmp  $RPM_BUILD_ROOT/%{_prefix}/lib/rpm/macros

#cp $RPM_BUILD_ROOT/%{_prefix}/bin/* $RPM_BUILD_ROOT/tmp/bin
#cp $RPM_BUILD_ROOT/%{_prefix}/lib/librpm* $RPM_BUILD_ROOT/tmp/lib
#cp -r $RPM_BUILD_ROOT/%{_prefix}/lib/rpm/* $RPM_BUILD_ROOT/tmp/lib/rpm

cd 64bit
# Copy AIX specific find-provides and find-requires.
#
cp $RPM_BUILD_ROOT%{_prefix}/lib/rpm/find-provides $RPM_BUILD_ROOT%{_prefix}/lib/rpm/find-provides_bak
cp find-provides-aix $RPM_BUILD_ROOT%{_prefix}/lib/rpm/find-provides
cp $RPM_BUILD_ROOT%{_prefix}/lib/rpm/find-requires $RPM_BUILD_ROOT%{_prefix}/lib/rpm/find-requires_bak
cp %{SOURCE5} ${RPM_BUILD_ROOT}%{_prefix}/lib/rpm/find-requires


#cp %{_sourcedir}/rpm-4.9.1.3.macros.aix $RPM_BUILD_ROOT%{_prefix}/etc/rpm/macros
cp $RPM_BUILD_ROOT%{_prefix}/lib/rpm/macros $RPM_BUILD_ROOT%{_prefix}/etc/rpm/macros

#cp $RPM_BUILD_ROOT/tmp/lib/librpm*.la $RPM_BUILD_ROOT%{_libdir}


#Install the wrapper script in /usr/bin.
rm -f $RPM_BUILD_ROOT/usr/bin/rpm
cp %{SOURCE1} ${RPM_BUILD_ROOT}/usr/bin/rpm

#Need to use find-provides and find-requires which properly take of
#AIX dependencies, the default rpmdeps which is called from inside the
#find-provides & find-requires doesn't handle AIX properly.
#Might need some work on rpmdeps.
#cp find-provides-aix ${RPM_BUILD_ROOT}/tmp/lib/rpm/find-provides
#cp %{SOURCE5} ${RPM_BUILD_ROOT}/tmp/lib/rpm/find-requires
#mkdir -p ${RPM_BUILD_ROOT}/tmp
#cp %{SOURCE4} ${RPM_BUILD_ROOT}/tmp

#doc files. needs doxygen to generate during build.
# This is a manual workaround.
cd doc/manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
cp -r * $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/


#	%pre python3
#	#check if rpm.rte-4.15.1.x is installed
#	rpmver=`/usr/bin/lslpp -Lc rpm.rte | /usr/bin/awk 'FNR==2' | /usr/bin/awk -F':' '{print $3}'`
#	rc=`/usr/bin/echo $rpmver | /usr/bin/awk '{ split($1, a, ".");
#	  rc=0;
#	  if ((a[1] == 4) && (a[2] == 15) && (a[3] == 1) && (a[4] >= 2004))
#	    rc=0;
#	   else
#	    rc=1;
#	   print rc;
#	}'`
#	if [[ $rc -eq 1 ]]
#	then
#	    echo "Please make sure rpm.rte-4.15.1.2004 and higher version is installed."
#	    exit 1
#	fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
# commented files are put under /tmp in order to avoid conflict
# when installing new rpm manager with previous version
%defattr(-,root,system)
%if %{install_SOMETHING}
%doc 64bit/COPYING 64bit/ChangeLog 64bit/doc/manual/*
%{_prefix}/bin/rpm
%{_prefix}/bin/rpm2cpio
%{_prefix}/bin/gendiff
%{_bindir}/rpmquery
%{_bindir}/rpmverify
%{_bindir}/rpmbuild
%{_bindir}/rpmdb
%{_bindir}/rpmkeys
%{_bindir}/rpmsign
%{_bindir}/rpmspec
#	/usr/bin/rpm
#	/usr/bin/rpm2cpio
#	/usr/bin/gendiff
#	/usr/bin/rpmquery
#	/usr/bin/rpmverify
#	/usr/bin/rpmbuild
#	/usr/bin/rpmdb
#	/usr/bin/rpmkeys
#	/usr/bin/rpmsign
#	/usr/bin/rpmspec

%{_mandir}/man1/gendiff.1*
%{_mandir}/man8/rpm.8*
%{_mandir}/man8/rpmdb.8*
%{_mandir}/man8/rpmkeys.8*
%{_mandir}/man8/rpm2cpio.8*
%{_mandir}/man8/rpmbuild.8*
%{_mandir}/man8/rpmsign.8*
%{_mandir}/man8/rpmspec.8*

%lang(fr) %{_mandir}/fr/man[18]/*.[18]*
%lang(ko) %{_mandir}/ko/man[18]/*.[18]*
%lang(ja) %{_mandir}/ja/man[18]/*.[18]*
%lang(pl) %{_mandir}/pl/man[18]/*.[18]*
%lang(ru) %{_mandir}/ru/man[18]/*.[18]*
%lang(sk) %{_mandir}/sk/man[18]/*.[18]*

#{_prefix}/lib64/rpm/*
%{_prefix}/lib/rpm/*
%{_prefix}/etc/rpm/macros*

# %dir /opt/freeware/src/packages
# %dir /opt/freeware/src/packages/BUILD
# %dir /opt/freeware//src/packages/SPECS
# %dir /opt/freeware//src/packages/SOURCES
# %dir /opt/freeware//src/packages/SRPMS
# %dir /opt/freeware//src/packages/RPMS
# /opt/freeware//src/packages/RPMS/*
# %dir /usr/src
%{_prefix}/share/locale/*/LC_MESSAGES/rpm.mo
#{_prefix}/lib/librpm.a*
#{_prefix}/lib/librpmio.a*
#{_prefix}/lib/librpmbuild.a*
#{_prefix}/lib/librpmsign.a*
%{_prefix}/lib64/librpm.so*
%{_prefix}/lib64/librpmio.so*
%{_prefix}/lib64/librpmbuild.so*
%{_prefix}/lib64/librpmsign.so*
%{_prefix}/lib/librpm.so*
%{_prefix}/lib/librpmio.so*
%{_prefix}/lib/librpmbuild.so*
%{_prefix}/lib/librpmsign.so*
%endif

%files devel
%defattr(-,root,system)
%if %{install_SOMETHING}
%{_prefix}/lib64/rpm-plugins/*
%{_prefix}/lib64/pkgconfig/*.pc
%{_prefix}/lib/rpm-plugins/*
%{_prefix}/lib/pkgconfig/*.pc
/opt/freeware/lib64/pkgconfig/rpm.pc
/opt/freeware/lib/pkgconfig/rpm.pc
%{_prefix}/include/rpm
%{_prefix}/lib64/librpm*.la
%{_prefix}/lib/librpm*.la
/usr/include/rpm
%endif

%files python3
%defattr(-,root,system)
%{_prefix}/lib64/python%{pyversion}/*
%{_prefix}/lib/python%{pyversion}/*


%changelog
* Wed Oct 20 2021 Tony Reix <tony.reix@atos.net> 4.15.1.1-1
- Move to v4.15.1.1
- Packages rpm and rpm-devel deliver nothing

* Wed Oct 20 2021 Tony Reix <tony.reix@atos.net> 4.15.1-1
- Goal: build rpm-python3 with current version of Python3
- Port to BullFreeware
- Add 32bit

* Wed Jul 05 2017 Sangamesh Mallayya <smallayy@in.ibm.com> 4.15.1.0-1
- Update to latest version

* Wed Jul 05 2017 Sangamesh Mallayya <smallayy@in.ibm.com> 4.13.0.1-1
- Update to 4.13.0.1

* Thu Jan 29 2015 Sangamesh Mallayya <smallayy@in.ibm.com> 4.9.1.3-3
- Rebuild it for distributing it in AIX Toolbox.

* Tue Jun 4 2013 Bernard Cahen <bernard.cahen@bull.net> 4.9.1.3-2
- Creation of devel-python package
- Modify %post scripts and %files list to make rpm 4.9.1.3 appear in rpm -qa
 
* Thu Jan 31 2013 Bernard Cahen <bernard.cahen@bull.net> 4.9.1.3-1
- Update to version 4.9.1.3

* Mon Nov 15 2010 Sangamesh Mallayya <smallayy@in.ibm.com> 3.0.5-52
- Add security fix CVE-2010-2059

* Thu Jan 21 2010 Reza Arbab <arbab@austin.ibm.com> 3.0.5-50
- Update to accomodate possible future version numbers of AIX.

* Fri Jul 10 2009 Reza Arbab <arbab@austin.ibm.com> 3.0.5-49
- Fix bug where `rpm -i [non-rpm package file]` still returns 0.

* Wed Oct 22 2008 Reza Arbab <arbab@austin.ibm.com> 3.0.5-46
- Fix a bug reported with the --prefix flag.

* Tue Apr 15 2008 Reza Arbab <arbab@austin.ibm.com> 3.0.5-44
- Change the debug variable for find-provides from $DEBUG to $FIND_PROVIDES_DEBUG.
- Use open64/stat64 instead of open/stat.

* Fri Mar 14 2008 Reza Arbab <arbab@austin.ibm.com> 3.0.5-43
- Change %%{_dbpath} from a symlink to the actual directory.
- Tweak source to enable AIX 5.2 build environment.

* Tue Jan  8 2008 Reza Arbab <arbab@austin.ibm.com> 3.0.5-42
- New optimizations for find-provides.
- Add AIX 6.1 support in config.guess.

* Tue Jun  6 2006 Reza Arbab <arbab@austin.ibm.com> 3.0.5-41
- Add "os_compat" lines to rpmrc for possible future AIX releases.
- /usr/bin/rpm is now a wrapper script rather than a symlink.
- find-provides is now fast native code instead of a script

* Mon Apr 17 2006 Reza Arbab <arbab@austin.ibm.com> 3.0.5-38
- Attempt to fix a "space needed" calculation bug on systems with huge filesystems.

* Thu Nov 04 2004 David Clissold <cliss@austin.ibm.com> 3.0.5-37
- Rebuild with a find-provides fix (OBJECT_MODE)
-   While I'm at it, clean up some unused ia64 stuff.

* Mon Jul 02 2001 Marc Stephenson <marc@austin.ibm.com>
- Fix locale references

* Fri Mar 30 2001 Marc Stephenson <marc@austin.ibm.com>
- Disable mntent()-related calls

* Tue Mar 27 2001 Marc Stephenson <marc@austin.ibm.com>
- Fix mode verification comparison

* Sat Mar 24 2001 Marc Stephenson <marc@austin.ibm.com>
- Work in AIX RAM filesystem

* Thu Mar 08 2001 Marc Stephenson <marc@austin.ibm.com>
- Add logic for default compiler
- Rebuild against new shared objects

* Tue Feb 20 2001 aixtoolbox <aixtoollbox-l@austin.ibm.com>
- Account for different standard lib location in IA64 32-bit ABI

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Fri Oct 27 2000 rpmpkg <rpmpkg@austin.ibm.com>
- Modify for build and installation on AIX 4.3 and 5.1

* Wed Mar  1 2000 Jeff Johnson <jbj@redhat.com>
- fix rpmmodule.so python bindings.

* Sun Feb 27 2000 Jeff Johnson <jbj@redhat.com>
- rpm-3.0.4 release candidate.

* Fri Feb 25 2000 Jeff Johnson <jbj@redhat.com>
- fix: filter excluded paths before adding install prefixes (#8709).
- add i18n lookaside to PO catalogue(s) for i18n strings.
- try for /etc/rpm/macros.specspo so that specspo autoconfigures rpm.
- per-platform configuration factored into /usr/lib/rpm subdir.

* Tue Feb 15 2000 Jeff Johnson <jbj@redhat.com>
- new rpm-build package to isolate rpm dependencies on perl/bash2.
- always remove duplicate identical package entries on --rebuilddb.
- add scripts for autogenerating CPAN dependencies.

* Wed Feb  9 2000 Jeff Johnson <jbj@redhat.com>
- brp-compress deals with hard links correctly.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- brp-compress deals with symlinks correctly.

* Mon Jan 24 2000 Jeff Johnson <jbj@redhat.com>
- explicitly expand file lists in writeRPM for rpmputtext.

